module CollectionsHelper

  ##
  # x objetos educacionais
  def collection_length(collection)
    count = collection.learning_objects.count

    if count > 0
      "#{count} objetos"
    else
      'coleção vazia'
    end
  end

  def end_of_column_collection(index)
    index % 3 == 0
  end

  def render_collection(orientation, collection)
    case (orientation)
      when "vertical"
        render "collections/collection_vertical", collection: collection
      when "horizontal"
        render "collections/collection_horizontal", collection: collection
      else
        render "collections/collection_horizontal", collection: collection
    end
  end

end
